<?php

class Gps extends AppObjeto {
	
//Configuración de tabla
	protected static $_aliasTabla = 'a';
	protected static $_nombreTabla = 'COORD_GPS';
	protected static $_campoPK = 'ID';
	
	
	public $idGps;
	public $longitud;
	public $latitud;
	public $chofer;
	public $vehiculo;
	public $fechahora;
	public $velocidad;
	

	protected static function initMetaDatos(){
		//parent::initMetaDatos();
		self::addPropiedadBD('a', 'ID', 'idGps', self::META_INT);
		self::addPropiedadBD('a', 'LONGITUD', 'longitud', self::META_DECIMAL);
		self::addPropiedadBD('a', 'LATITUD', 'latitud', self::META_DECIMAL);
		self::addPropiedadBD('a', 'CHOFER', 'chofer', self::META_VARCHAR);
		self::addPropiedadBD('a', 'VEHICULO', 'vehiculo', self::META_VARCHAR);
		self::addPropiedadBD('a', 'FECHAHORA', 'fechahora', self::META_DATETIME);
		self::addPropiedadBD('a', 'KM_H', 'velocidad',self::META_INT);
		
	}
	/*
	public function initMetaDatos(){
		//parent::initMetaDatos();
		$this->setMetadato('ID', 'idGps');
		$this->setMetadato('LONGITUD', 'longitud');
		$this->setMetadato('LATITUD', 'latitud');
		$this->setMetadato('CHOFER', 'chofer');
		$this->setMetadato('VEHICULO', 'vehiculo');
		$this->setMetadato('FECHAHORA', 'fechahora');
		$this->setMetadato('KM_H', 'velocidad');
		$this->getTiposMetadatos();
	}
	*/
	
	public function save(){
		if(!$this->id){
			$fecha = new DateTime();
			$this->momento = $fecha->getTimestamp();
			$this->fechahora = date('d/m/Y H:i:s');
		}
		parent::save();
	}
	
	public static function getUltimaPosicionChofer(){
		$usuario = Usuario::UsuarioLoqueado();
		$select = self::selectObjeto();
		$select->where('a.CHOFER =?',$usuario->CHOFER);
		$select->order('id desc');
		$select->limit(1);
		$resultado = self::selectExecute($select,null,true);
		if ($resultado->estaVacio())
			return null;
		else {
			$datos = $resultado->getDatos();
			$idGps = $datos[0]['idGps'];
			$gps = new Gps($idGps);
			return $gps; 
		}
	//	'select MAX(ID) from COORD_GPS
	//	where CHOFER = '0000014';
	}
	
	
}